Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Interface NumberListHandler

All Known Implementing Classes:
  AbstractSVGNumberList.NumberListBuilder, DefaultNumberListHandler, FloatArrayProducer

    public interface NumberListHandler

An handler interface for parsing NumberLists.

Method Summary
`void` | `endNumber()` Invoked when the number attribute ends.
`void` | `endNumberList()` Invoked when the number list attribute ends.
`void` | `numberValue(float v)` Invoked when a float value has been parsed.
`void` | `startNumber()` Invoked when the number attribute starts.
`void` | `startNumberList()` Invoked when the number list attribute starts.

Method Detail

### startNumberList

    void startNumberList()
                         throws ParseException

  Invoked when the number list attribute starts.

  Throws:
    `ParseException` - if an error occures while processing the number list.

### endNumberList

    void endNumberList()
                       throws ParseException

  Invoked when the number list attribute ends.

  Throws:
    `ParseException` - if an error occures while processing the number list.

### startNumber

    void startNumber()
                     throws ParseException

  Invoked when the number attribute starts.

  Throws:
    `ParseException` - if an error occures while processing the number

### endNumber

    void endNumber()
                   throws ParseException

  Invoked when the number attribute ends.

  Throws:
    `ParseException` - if an error occures while processing the number

### numberValue

    void numberValue(float v)
                     throws ParseException

  Invoked when a float value has been parsed.

  Throws:
    `ParseException` - if an error occures while processing the number

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.